// CnfDlg.cpp : implementation file
//

#include "stdafx.h"
#include "GPUOpenGL.h"
#include "gpu_i.h"
#include "CnfDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCnfDlg dialog


CCnfDlg::CCnfDlg(CWnd* pParent)
	: CDialog(CCnfDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCnfDlg)
	m_bBilinear = FALSE;
	m_bFullscreen = FALSE;
	m_nMaxTextures = 0;
	m_bTextureHalf = FALSE;
	m_bDumpVRAM = FALSE;
	m_bWireFrame = FALSE;
	m_bAntialias = FALSE;
	m_bClearScreen = FALSE;
	m_bCheckPalette = FALSE;
	//}}AFX_DATA_INIT
}


void CCnfDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCnfDlg)
	DDX_Check(pDX, IDC_BILINEAR, m_bBilinear);
	DDX_Check(pDX, IDC_FULLSCREEN, m_bFullscreen);
	DDX_Text(pDX, IDC_MAXTEXTURES, m_nMaxTextures);
	DDV_MinMaxInt(pDX, m_nMaxTextures, 0, 32);
	DDX_Check(pDX, IDC_TEXTUREHALF, m_bTextureHalf);
	DDX_Check(pDX, IDC_DUMPVRAM, m_bDumpVRAM);
	DDX_Check(pDX, IDC_WIREFRAME, m_bWireFrame);
	DDX_Check(pDX, IDC_ANTIALIAS, m_bAntialias);
	DDX_Check(pDX, IDC_CLEARSCREEN, m_bClearScreen);
	DDX_Check(pDX, IDC_CHECKPALETTE, m_bCheckPalette);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCnfDlg, CDialog)
	//{{AFX_MSG_MAP(CCnfDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCnfDlg message handlers

void CCnfDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}

BOOL CCnfDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
